org.deidentifier.arx.aggregates

## Class StatisticsContingencyTable

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsContingencyTable

    public class StatisticsContingencyTable
    extends java.lang.Object

A contingency table.

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `StatisticsContingencyTable.Entry` An entry in the contingency table.

### Field Summary

Fields
`int` `count` The total number of entries in the contingency table.
`java.util.Iterator<StatisticsContingencyTable.Entry>` `iterator` An iterator over the elements in the contingency table.
`double` `maxFrequency` Maximal frequency in the contingency table.
`java.lang.String[]` `values1` The data values from the first column, sorted.
`java.lang.String[]` `values2` The data values from the second column, sorted.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### values1

    public final java.lang.String[] values1

The data values from the first column, sorted.

#### values2

    public final java.lang.String[] values2

The data values from the second column, sorted.

#### count

    public final int count

The total number of entries in the contingency table.

#### maxFrequency

    public final double maxFrequency

Maximal frequency in the contingency table.

#### iterator

    public final java.util.Iterator<StatisticsContingencyTable.Entry> iterator

An iterator over the elements in the contingency table.